> For the complete documentation index, see [llms.txt](https://docs.monogoto.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.monogoto.io/developer/api/softsim-nordic/get-of-softsim-profile-task-status.md).

# Get of SoftSIM Profile Task Status

## Get status of a profile generation task

> Checks the current status of a profile generation task using the provided task ID.

```json
{"openapi":"3.0.0","info":{"title":"Monogoto SoftSIM APIs","version":"2.0"},"servers":[{"url":"https://api.monogoto.io"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use the JWT access token returned by the login endpoint. Include it in the Authorization header as: Bearer <token>."}}},"paths":{"/v1/things/{iccid}/softsim/nordic/task/{task_id}":{"get":{"summary":"Get status of a profile generation task","description":"Checks the current status of a profile generation task using the provided task ID.","operationId":"taskStatus","tags":["SoftSIM"],"parameters":[{"name":"iccid","in":"path","required":true,"description":"ICCID of the Thing.","schema":{"type":"string"}},{"name":"task_id","in":"path","required":true,"description":"SoftSIM task ID.","schema":{"type":"string"}}],"responses":{"200":{"description":"Task status successfully retrieved","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string","description":"Status returned by Nordic API"}}}}}},"400":{"description":"Invalid or missing taskId","content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number"},"message":{"type":"string"}}}}}},"500":{"description":"Internal server error or Nordic API failure","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```
